DYNAMIC
rtu_fd_create_entry
rtu_fd_flush
rtu_fd_init
rtu_fd_lookup_htab_entry
rtu_fd_set_aging_time
rtu_fd_set_hash_poly
STATIC

void rtu_fd_set_hash_poly | ( | uint16_t | poly ) |

Set the polynomial used for hash calculation. Changing the hash polynomial requires removing any existing entry from RTU table. Note in case RTU table becomes full, this function may be used to change hash polynomial (thus leading to a different hash distribution).

Parameters:

  poly | binary polynomial representation. CRC-16-CCITT -> 1+x^5+x^12+x^16 -> 0x1021 CRC-16-IBM -> 1+x^2+x^15+x^16 -> 0x8005 CRC-16-DECT -> 1+x^3+x^7+x^8+x^10+x^16 -> 0x0589

All Classes Files Functions Variables Defines